Bug 22994 - Request DHCP restart after APM resume
Summary: Request DHCP restart after APM resume
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-29 21:00 UTC by Daniel Wolstenholme
Modified: 2007-03-27 03:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-29 21:00:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Wolstenholme 2000-12-29 21:00:38 UTC
Enhancement Request:
I use a laptop with RH6.2, with APM and a Cardbus ethernet card using DHCP via pump.  Frequently, I move the laptop from one location at work to another, or home, and in between suspend the laptop using apm -s.  Of course, when I resume, I'm plugged into a different ethernet connection which can even be on a different subnet.  You should add functionality to your /etc/sysconfig/apm-scripts/apmscript script so that, if the machine is using DHCP, it shuts down the ethernet connection, and upon resuming, restarts the connection so it can get a new IP address automatically.

I can do this myself of course, but it seems like a good enhancement to make default behavior for all laptop users.

Comment 1 Bernhard Rosenkraenzer 2001-01-08 17:13:37 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.